> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Update Job Step Status

PATCH /apis/jobs/v2/workspaces/{workspace}/jobs/{job}/steps/{name}/status
Content-Type: application/json

Update a job step status.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/jobs/update-job-step-status-apis-jobs-v-2-workspaces-workspace-jobs-job-steps-name-status-patch

## Request

### Path parameters

- `job` (string, required)
- `name` (string, required)
- `workspace` (string, required)

### Body (application/json)

- `status` (enum, required) — The new status to set for the job.
  - Allowed values: `created`, `pending`, `active`, `cancelled`, `cancelling`, `error`, `completed`, `paused`, `pausing`, `resuming`
- `status_details` (map from string to any, optional) — Optional status details related to the status update.
- `error_details` (map from string to any, optional) — Optional error details related to the status update.

## Response

### 200

Successful Response

- `workspace` (string, required) — Workspace identifier
- `attempt_id` (string, required) — Parent attempt ID
- `id` (string, required)
- `created_at` (datetime, required)
- `created_by` (string, required, nullable)
- `updated_at` (datetime, required)
- `updated_by` (string, required, nullable)
- `entity_id` (string, required) — Alias for id for backwards compatibility.
- `parent` (string, required) — Parent entity ID for nested entities.
- `db_version` (integer, required) — Database version of the entity for optimistic locking.
- `name` (string, optional, default: ) — Entity name within the workspace
- `project` (string, optional) — The name of the project associated with this entity.
- `config` (map from string to any, optional) — Configuration for the step
- `status` (enum, optional, default: created) — Step status
  - Allowed values: `created`, `pending`, `active`, `cancelled`, `cancelling`, `error`, `completed`, `paused`, `pausing`, `resuming`
- `status_details` (map from string to any, optional) — Status details
- `error_details` (map from string to any, optional) — Error details if applicable

## Examples

**Request**

```json
{
  "status": "created"
}
```

**Response**

```json
{
  "workspace": "string",
  "attempt_id": "string",
  "id": "string",
  "created_at": "2024-01-15T09:30:00Z",
  "created_by": "string",
  "updated_at": "2024-01-15T09:30:00Z",
  "updated_by": "string",
  "entity_id": "string",
  "parent": "string",
  "db_version": 1,
  "name": "",
  "project": "string",
  "config": {},
  "status": "created",
  "status_details": {},
  "error_details": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status"

payload = { "status": "created" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"status":"created"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status"

	payload := strings.NewReader("{\n  \"status\": \"created\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"status\": \"created\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status")
  .header("Content-Type", "application/json")
  .body("{\n  \"status\": \"created\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status', [
  'body' => '{
  "status": "created"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"status\": \"created\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["status": "created"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/jobs/v2/workspaces/workspace/jobs/job/steps/name/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```